package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIG3 extends MwfRequest<MWFIG3, MWFIG3Response> {

    @Parameter(name = "CIF")
    MWFIG3 cif(String cif);
    @Parameter(name = "CastkaDo")
    MWFIG3 castkaDo(Double castkaDo);
    @Parameter(name = "CastkaOd")
    MWFIG3 castkaOd(Double castkaOd);
    @Parameter(name = "CisloBU")
    MWFIG3 cisloBU(String cisloBU);
    @Parameter(name = "DatumDo")
    MWFIG3 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFIG3 datumOd(java.util.Date datumOd);
    @Parameter(name = "Dealer")
    MWFIG3 dealer(String dealer);
    @Parameter(name = "IdSystemuFE")
    MWFIG3 idSystemuFE(String idSystemuFE);
    @Parameter(name = "IdTransakce")
    MWFIG3 idTransakce(String idTransakce);
    @Parameter(name = "StrankovaniOd")
    MWFIG3 strankovaniOd(Long strankovaniOd);
    @Parameter(name = "StrankovaniPocetRadku")
    MWFIG3 strankovaniPocetRadku(Long strankovaniPocetRadku);
}
